# $Revision: 1.19 $, $Date: 2011/03/25 17:11:43 $
Summary:	A C++ interface for the GTK+ (a GUI library for X) - cross MinGW32 version
Summary(pl.UTF-8):	Wrapper C++ dla GTK+ - skrośna wersja MinGW32
%define		realname   gtkmm
Name:		crossmingw32-%{realname}
Version:	2.24.0
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.24/%{realname}-%{version}.tar.bz2
# Source0-md5:	d0413781fdb884e0ccba52844c94485f
URL:		http://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	crossmingw32-atkmm >= 2.22.0
BuildRequires:	crossmingw32-cairomm >= 1.6.3
BuildRequires:	crossmingw32-gcc-c++ >= 3.3.1
BuildRequires:	crossmingw32-glibmm >= 2.24.0
BuildRequires:	crossmingw32-gtk+2 >= 2.20.0
BuildRequires:	crossmingw32-pangomm >= 2.28.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.9.4
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(macros) >= 1.446
Requires:	crossmingw32-atkmm >= 2.22.0
Requires:	crossmingw32-cairomm >= 1.6.3
Requires:	crossmingw32-gtk+2 >= 2.20.0
Requires:	crossmingw32-pangomm >= 2.28.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library. The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented
framework. Features include type safe callbacks, widgets that are
extensible using inheritance and over 110 classes that can be freely
combined to quickly create complex user interfaces.

This package contains the cross version for Win32.

%description -l pl.UTF-8
gtkmm jest wrapperem C++ dla Gimp ToolKit (GTK). GTK+ jest biblioteką
służącą do tworzenia graficznych interfejsów. W pakiecie znajduje się
także biblioteka gdkmm - wrapper C++ dla GDK (General Drawing Kit).

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static gtkmm libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki gtkmm (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static gtkmm libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki gtkmm (wersja skrośna MinGW32).

%package dll
Summary:	DLL gtkmm libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL gtkmm dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-atkmm-dll >= 2.22.0
Requires:	crossmingw32-cairomm-dll >= 1.6.3
Requires:	crossmingw32-gtk+2-dll >= 2.20.0
Requires:	crossmingw32-pangomm-dll >= 2.28.0
Requires:	wine

%description dll
DLL gtkmm libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL gtkmm dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig:%{_npkgconfigdir}
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--targe=%{target} \
	--host=%{target} \
	--disable-documentation \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS PORTING README
%{_libdir}/libgdkmm-2.4.dll.a
%{_libdir}/libgtkmm-2.4.dll.a
%{_libdir}/libgdkmm-2.4.la
%{_libdir}/libgtkmm-2.4.la
%{_libdir}/gdkmm-2.4
%{_libdir}/gtkmm-2.4
%{_includedir}/gdkmm-2.4
%{_includedir}/gtkmm-2.4
%{_pkgconfigdir}/gdkmm-2.4.pc
%{_pkgconfigdir}/gtkmm-2.4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkmm-2.4.a
%{_libdir}/libgtkmm-2.4.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libgdkmm-2.4-*.dll
%{_dlldir}/libgtkmm-2.4-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-gtkmm.spec,v $
Revision 1.19  2011/03/25 17:11:43  qboosh
- updated to 2.24.0

Revision 1.18  2010/11/17 06:18:22  qboosh
- updated to 2.22.0

Revision 1.17  2010/09/19 13:51:01  qboosh
- updated to 2.20.3

Revision 1.16  2009/04/12 06:04:18  qboosh
- updated to 2.16.0

Revision 1.15  2008/11/18 06:36:42  qboosh
- updated to 2.14.3

Revision 1.14  2008/11/15 13:26:54  qboosh
- updated to 2.14.1
- pangomm separate now

Revision 1.13  2008/11/15 06:57:56  qboosh
- updated URL

Revision 1.12  2008-04-14 06:24:31  qboosh
- updated to 2.12.7

Revision 1.11  2008-03-15 20:41:28  qboosh
- updated to 2.12.5

Revision 1.10  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.9  2007-11-17 17:11:59  qboosh
- updated to 2.12.3
- removed obsolete gtkprint patch

Revision 1.8  2007-11-02 15:46:30  qboosh
- updated to 2.12.1

Revision 1.7  2007/09/19 14:59:20  qboosh
- updated to 2.12.0

Revision 1.6  2007/08/28 17:15:10  qboosh
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

Revision 1.5  2007/08/27 22:28:37  qboosh
- updated to 2.10.11

Revision 1.4  2007/05/08 17:32:36  qboosh
- updated to 2.10.10
- fixed epochs in deps

Revision 1.3  2007/04/17 19:15:38  qboosh
- updated to 2.10.9

Revision 1.2  2007/03/08 19:04:00  qboosh
- updated to 2.10.8
- cleanup, separated *-static,*-dll

Revision 1.1  2007/02/25 15:15:09  czarny
- new based on gtkmm.spec
